<? 

include("plotconf.inc");
include("plot.inc");

// check if it is the user's ip, or another host

if(!isset($HTTP_GET_VARS["address"]) || ($HTTP_GET_VARS["address"] == "")) { 
    $address = $REMOTE_ADDR; 
    $local = 1; 
} else {
    $address = $HTTP_GET_VARS["address"];
    $local = 0; 
}

// this is the most important function, gets lat/lon and description of location
$values = getstuff($address, $local);

if(isset($logging) && is_writable("plotlog.txt")) {
$log = fopen("plotlog.txt", "a");
fputs($log, "$REMOTE_ADDR\t". date("F j, Y, g:i a") . "\t$address\t$values[address]\t$values[lat]\t$values[lon]\n");
fclose($log);
}

if(isset($HTTP_COOKIE_VARS["atlasprefs"]) && validcookie($HTTP_COOKIE_VARS["atlasprefs"])) {
list( , , , $imagething) = split(":", $HTTP_COOKIE_VARS["atlasprefs"]);
$earthimage = isvalidimage($imagething, $earthimages, $defaultimage);
} else {
$earthimage = $earthimages[$defaultimage];
}

if(strstr($earthimage, ":")) {
    list($earthimage, , , ) = split(":", $earthimage);
}

if(!shouldrun($HTTP_USER_AGENT)) {

list($width, $height) = getimagecoords($earthimages, $earthimage);
list($x, $y) = getlocationcoords($values["lat"], $values["lon"], $width, $height);

if(isset($HTTP_COOKIE_VARS["atlasprefs"])) {
list( , , , , $dotname) = split(":", $HTTP_COOKIE_VARS["atlasprefs"]);
list($thedot, $dotwidth, $dotheight) = finddot($dotname, $cssdots, $defaultdot);
} else {
$dotname = $cssdots[$defaultdot];
list($dotname, , , ) = split(":", $dotname);
list($thedot, $dotwidth, $dotheight) = finddot($dotname, $cssdots, $defaultdot);
}

$x = ($x - floor($dotwidth / 2));
$y = ($y - floor($dotheight / 2));

$extracss = "<style>
#dotDiv { padding-left:$x; padding-top:$y; }
</style>";
$display = "<div id=\"dotDiv\"><img width=\"$dotwidth\" height=\"$dotheight\" src=\"$thedot\">";

} else {

list($width, $height) = getimagecoords($earthimages, $earthimage);
$extracss = "";
$display = "<img src=\"plotimage.php?lat=$values[lat]&lon=$values[lon]\" width=\"$width\" height=\"$height\">";

}

print <<<END

<html><head><title>Plotting $values[address]</title>
$extracss
END;

include("middlehtmlcode.inc");

print <<<END

<table valign="top" cellpadding=0 cellspacing=0 border=0 background="$earthimage" width="$width" height="$height"><tr><td valign="top">$display</td></tr></table>


<br>
END;
if(isset($address)) {
print "$values[desc]";
}

print <<<END
<br><br>
<form method="GET" action="$PHP_SELF">
<table width="100%"><tr><td nowrap align="left">
IP/Hostname: <input value="$values[address]" type="text" size="30" name="address"><input type="Submit" value="Submit"></td><td align="right" width="100%">
[ <a href="ip-atlas_prefs.php">preferences</a> ]
[ <a href="$PHP_SELF">locate me</a> ]
</td></tr></table>
</form>
END;

include("footer.inc");

print "

</body></html>

";

?>
